import * as TencentCloudCommon from "tencentcloud-sdk-nodejs-common";
import { DescribeInstancesRequest, DescribeInstancesResponse } from "./memcached_models";
/**
 * memcached client
 * @class
 */
export declare class Client extends TencentCloudCommon.AbstractClient {
    constructor(clientConfig: TencentCloudCommon.ClientConfig);
    /**
     * 获取Cmem实例列表
     */
    DescribeInstances(req: DescribeInstancesRequest, cb?: (error: string, rep: DescribeInstancesResponse) => void): Promise<DescribeInstancesResponse>;
}
